# eric4.Preferences.ConfigurationPages.IconsPage

Module implementing the Icons configuration page.

### Global Attributes

None

### Classes

IconsPage | Class implementing the Icons configuration page.

### Functions

create | Module function to create the configuration page.

## IconsPage

Class implementing the Icons configuration page.

### Derived from

ConfigurationPageBase, Ui_IconsPage

### Class Attributes

None

### Class Methods

None

### Methods

IconsPage | Constructor
on_addIconDirectoryButton_clicked | Private slot to add the icon directory displayed to the listbox.
on_deleteIconDirectoryButton_clicked | Private slot to delete the currently selected directory of the listbox.
on_downButton_clicked | Private slot called to move the selected item down in the list.
on_iconDirectoryButton_clicked | Private slot to select an icon directory.
on_iconDirectoryEdit_textChanged | Private slot to handle the textChanged signal of the directory edit.
on_iconDirectoryList_currentRowChanged | Private slot to handle the currentRowChanged signal of the icons directory list.
on_showIconsButton_clicked | Private slot to display a preview of an icons directory.
on_upButton_clicked | Private slot called to move the selected item up in the list.
save | Public slot to save the Icons configuration.

### Static Methods

None

#### IconsPage (Constructor)

IconsPage()

Constructor

#### IconsPage.on_addIconDirectoryButton_clicked

on_addIconDirectoryButton_clicked()

Private slot to add the icon directory displayed to the listbox.

#### IconsPage.on_deleteIconDirectoryButton_clicked

on_deleteIconDirectoryButton_clicked()

Private slot to delete the currently selected directory of the listbox.

#### IconsPage.on_downButton_clicked

on_downButton_clicked()

Private slot called to move the selected item down in the list.

#### IconsPage.on_iconDirectoryButton_clicked

on_iconDirectoryButton_clicked()

Private slot to select an icon directory.

#### IconsPage.on_iconDirectoryEdit_textChanged

on_iconDirectoryEdit_textChanged(txt)

Private slot to handle the textChanged signal of the directory edit.

txt
  the text of the directory edit (QString)

#### IconsPage.on_iconDirectoryList_currentRowChanged

on_iconDirectoryList_currentRowChanged(row)

Private slot to handle the currentRowChanged signal of the icons directory list.

row
  the current row (integer)

#### IconsPage.on_showIconsButton_clicked

on_showIconsButton_clicked()

Private slot to display a preview of an icons directory.

#### IconsPage.on_upButton_clicked

on_upButton_clicked()

Private slot called to move the selected item up in the list.

#### IconsPage.save

save()

Public slot to save the Icons configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up